Bug 163570 - PDA sync only works intermittently after 2.6.12-1.1372_FC3 kernel update
PDA sync only works intermittently after 2.6.12-1.1372_FC3 kernel update
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-18 20:03 EDT by Mark Adams
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 08:48:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log from syncing with kernel-2.6.11-1.35_FC3 (1.59 KB, text/plain)
2005-07-18 20:04 EDT, Mark Adams
no flags Details
log from syncing with kernel-2.6.12-1.1372_FC3 (1.59 KB, text/plain)
2005-07-18 20:04 EDT, Mark Adams
no flags Details

  None (edit)
Description Mark Adams 2005-07-18 20:03:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.7.9) Gecko/20050711 Firefox/1.0.5

Description of problem:
Since updating to kernel-2.6.12-1.1372_FC3, syncing my Palm Tungsten T3 only works about one time out of three. This worked all the time with the previous kernels (I also booted back to kernel-2.6.11-1.35_FC3 to make sure that it wasn't something else having changed on the system; that kernel still syncs reliably).

When it doesn't sync, it's as if gnome-pilot is unable to establish a connection with the PDA, so the PDA times out the connection after a period of time.

I ran gpilotd from the command line to get the debug messages, and I see the following repeated over and over:
------------------------------------
(gpilotd:5966): gpilotd-WARNING **: pi_accept_to: Connection timed out

(gpilotd:5966): gpilotd-WARNING **: pi_accept_to: timeout was 2 secs
gpilotd-Message: setting PILOTRATE=57600
------------------------------------

I checked the messages in /var/log/messages on sync between the two kernels, and there is a perhaps minor difference in that the order of a couple of messages is inverted regarding initializing serial support. I'll attach copies of the two log sequences to this bug.

I checked and /dev/ttyUSB0 and 1 are both being created as expected, so that's not the issue.


Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1372_FC3

How reproducible:
Sometimes

Steps to Reproduce:
1. Try to sync PDA with new kernel
2.
3.
  

Actual Results:  two times out of three, the connection times out after a while without syncing.


Expected Results:  PDA should sync with evolution.


Additional info:
Comment 1 Mark Adams 2005-07-18 20:04:14 EDT
Created attachment 116906 [details]
log from syncing with kernel-2.6.11-1.35_FC3
Comment 2 Mark Adams 2005-07-18 20:04:54 EDT
Created attachment 116907 [details]
log from syncing with kernel-2.6.12-1.1372_FC3
Comment 3 Julia Christianson 2005-08-24 22:13:31 EDT
I am experiencing the same issue, and my logs look essentially the same as
Mark's, except that I have usb 3-2.3 rather than usb 3-1.  Using jpilot, I
initially was getting the error message: 

****************************************
 Syncing on device /dev/pilot
 Press the HotSync button now
****************************************
pi_bind Invalid argument
Check your serial port and settings
Exiting with status SYNC_ERROR_BIND
Finished

After further exploration, I discovered that with kernel 2.6.12-1.372_FC3, it's
much slower to recognize the device; if I wait a minute before instructing
jpilot to sync, it just sits there until it times out rather than giving the
error message above.  

Stepping back to Kernel 2.6.12-1.35_FC3 is a temporary workaround.
Comment 4 Dave Jones 2006-01-16 17:15:25 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 5 Dave Jones 2006-02-03 00:56:17 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-04 08:48:23 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.